#include <iostream>
#include <math.h>
int main() {
	int n,x=0,y=0;
	bool tacno = true;
	int count = 0;
	
scanf("%d", & n);
		while (x  < n) {
			count++;
			if (count > 2) {
				count = 0;
				x++;
			}
			printf("%d %d \n",x, y);
			y++;
		}

}